i'm running mac os x 10.2.8 and want to update quickly, can i update to the snow

Back To Product

Follow this Question

1 Answer from the Community

  • Answer

    If you are currently running Mac OS X on a mac without a Intel Processor Snow leopard will not work. It might not meet the system requirements. Check your Mac os x version by clicking on the apple icon on the menu bar then click on About this Mac. The check the version number which is located right under the words Mac OS X.

    Was this useful? Answer 1

    8 of 15 people found this useful

Related Questions